<?php
/**
 * TinyMCE Advanced Link Dialog.
 * Adapted from TinyMCE Insert Link dialog
 * @author $Author: Ryan Demmer 27/01/2005$
 * @package advlink
 * Last modified 04/07/2005
 */
define( '_VALID_MOS', 1 );

$base_path = '../../../../../../../';
if (!empty($_SERVER['SCRIPT_FILENAME']) && $pos = strpos($_SERVER['SCRIPT_FILENAME'], 'mambots/editors/mostlyce/jscripts/tiny_mce'))
{
  $base_path = substr($_SERVER['SCRIPT_FILENAME'], 0, $pos);
}

$al_version = "1.1 beta";

//Start Authorisation
//Some includes
include ($base_path."configuration.php");
//include ($mosConfig_absolute_path."/includes/sef.php");

$tiny_path = $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/";
$tiny_url = $mosConfig_live_site."/mambots/editors/mostlyce/jscripts/tiny_mce";
$al_path = dirname(__FILE__);
$al_url = $tiny_url."/plugins/advlink/";

require_once($tiny_path."auth_plugin.php");
require_once($al_path."/al_auth.php");
include ($tiny_path."mostlyce_config.php");
include ($al_path."/langs/$editor_lang.php");

global $database;

//Check for Admin rights
$alAuth = new authPlugin();
//Check for User rights
$isSuperAdmin=$alAuth->isAdmin();
$alUser=checkType($alAuth, 'AL_user');
$article_auth=checkType($alAuth, 'AL_article');
$section_auth=checkType($alAuth, 'AL_section');
$category_auth=checkType($alAuth, 'AL_category');
$static_auth=checkType($alAuth, 'AL_static');
$contact_auth=checkType($alAuth, 'AL_contact');
$search_auth=checkType($alAuth, 'AL_search');

//$mainframe = new mosMainframe()

//Articles
if($article_auth || $isSuperAdmin){
    $article_disabled = "";
}else{
    $article_disabled = 'disabled="true"';
}
$query = "SELECT a.id AS value, CONCAT( a.title, ' /', a.title_alias, '' ) AS text, CONCAT( '$mosConfig_live_site/index.php?option=com_content&amp;task=view&amp;id=', a.id) AS href
         FROM #__content AS a
         WHERE a.state = '1' AND a.sectionid != '0'
         ORDER BY a.id";

        $database->setQuery( $query );
        $contents = $database->loadObjectList( );

        $javascript = "onChange=\"document.forms[0].href.value = this.value;
                       document.forms[0].static_content.value = '';
                       document.forms[0].category.value = '';
                       document.forms[0].section.value = '';
                       document.forms[0].contact.value = '';\"";

        $list['article'] = "<select name=\"articles\" $javascript style=\"width:200px\" $article_disabled>";
        $list['article'] .= "<option value=\"\" selected>Select Article</option>";

        foreach ( $contents as $article_item ) {
                 $_Itemid = "&Itemid=".$alAuth->mainframe->getItemid( $article_item->value );
                 if (!$_Itemid){
                     $_Itemid = "";
                 }
                 $list['article'] .= "<option value=\"".$article_item->href.$_Itemid."\">".$article_item->text."</option>";
        }
        $list['article'] .= "</select>";

//Static Content
if($static_auth || $isSuperAdmin){
    $static_disabled = "";
}else{
    $static_disabled = 'disabled="true"';
}

$query = "SELECT a.id AS value, CONCAT( a.title, ' /', a.title_alias, '' ) AS text, CONCAT( '$mosConfig_live_site/index.php?option=com_content&amp;task=view&amp;id=', a.id) AS href
         FROM #__content AS a
         WHERE a.state = '1' AND a.sectionid = '0'
         ORDER BY a.id";

        $database->setQuery( $query );
        $static_content = $database->loadObjectList( );

        $javascript = "onChange=\"document.forms[0].href.value = this.value;
                       document.forms[0].articles.value = '';
                       document.forms[0].category.value = '';
                       document.forms[0].section.value = '';
                       document.forms[0].contact.value = '';\"";

        $list['static'] = "<select name=\"static_content\" $javascript style=\"width:200px\" $static_disabled>";
        $list['static'] .= "<option value=\"\" selected>Select Static Content</option>";

        foreach ( $static_content as $static_item ) {
                 $_Itemid = "&Itemid=".$alAuth->mainframe->getItemid( $static_item->value );
                 if (!$_Itemid){
                     $_Itemid = "";
                 }
                 $list['static'] .= "<option value=\"".$static_item->href."$_Itemid\">".$static_item->text."</option>";
        }
        $list['static'] .= "</select>";

//Category
if($category_auth || $isSuperAdmin){
    $category_disabled = "";
}else{
    $category_disabled = 'disabled="true"';
}
$query = "SELECT a.id AS value, CONCAT( a.title, ' /', a.name, '' ) AS text, CONCAT( '$mosConfig_live_site/index.php?option=com_content&amp;task=category&amp;sectionid=', a.section, '&amp;id=', a.id) AS href
         FROM #__categories AS a
         LEFT JOIN #__sections AS s ON s.id
         WHERE a.published = '1' AND s.id = a.section
         ORDER BY a.id";

        $database->setQuery( $query );
        $category_content = $database->loadObjectList( );

        $javascript = "onChange=\"document.forms[0].href.value = this.value;
                       document.forms[0].static_content.value = '';
                       document.forms[0].articles.value = '';
                       document.forms[0].section.value = '';
                       document.forms[0].contact.value = '';\"";

        $list['category'] = "<select name=\"category\" $javascript style=\"width:200px\" $category_disabled>";
        $list['category'] .= "<option value=\"\" selected>Select Category</option>";

        foreach ( $category_content as $category_item ) {
                 $_Itemid = "&Itemid=".$alAuth->mainframe->getItemid( $category_item->value );
                 if (!$_Itemid){
                     $_Itemid = "";
                 }
                 $list['category'] .= "<option value=\"".$category_item->href."$_Itemid\">".$category_item->text."</option>";
        }
        $list['category'] .= "</select>";

//Section
if($section_auth || $isSuperAdmin){
    $section_disabled = "";
}else{
    $section_disabled = 'disabled="true"';
}
$query = "SELECT a.id AS value, CONCAT( a.title, ' /', a.name, '' ) AS text, CONCAT( '$mosConfig_live_site/index.php?option=com_content&amp;task=section&amp;id=', a.id) AS href
         FROM #__sections AS a
         WHERE a.published = '1' AND a.scope='content'
         ORDER BY a.id";

        $database->setQuery( $query );
        $section_content = $database->loadObjectList( );

        $javascript = "onChange=\"document.forms[0].href.value = this.value;
                       document.forms[0].static_content.value = '';
                       document.forms[0].category.value = '';
                       document.forms[0].articles.value = '';
                       document.forms[0].contact.value = '';\"";

        $list['section'] = "<select name=\"section\" $javascript style=\"width:200px\" $section_disabled>";
        $list['section'] .= "<option value=\"\" selected>Select Section</option>";

        foreach ( $section_content as $section_item ) {
                 $_Itemid = "&Itemid=".$alAuth->mainframe->getItemid( $section_item->value );
                 if (!$_Itemid){
                     $_Itemid = "";
                 }
                 $list['section'] .= "<option value=\"".$section_item->href."$_Itemid\">".$section_item->text."</option>";
        }
        $list['section'] .= "</select>";

//Contact
if($contact_auth || $isSuperAdmin){
    $contact_disabled = "";
}else{
    $contact_disabled = 'disabled="true"';
}
$query = "SELECT a.id AS value, CONCAT( a.name, ' /', a.con_position, '' ) AS text, CONCAT( '$mosConfig_live_site/index.php?option=com_contact&amp;task=view&amp;contact_id=', a.id) AS href
         FROM #__contact_details AS a
         WHERE a.published = '1'
         ORDER BY a.id";

        $database->setQuery( $query );
        $contact_content = $database->loadObjectList( );

        $javascript = "onChange=\"document.forms[0].href.value = this.value;
                       document.forms[0].static_content.value = '';
                       document.forms[0].category.value = '';
                       document.forms[0].section.value = '';
                       document.forms[0].articles.value = '';\"";

        $list['contact'] = "<select name=\"contact\" $javascript style=\"width:200px\" $contact_disabled>";
        $list['contact'] .= "<option value=\"\" selected>Select Contact</option>";

        foreach ( $contact_content as $contact_item ) {
                 $_Itemid = "&Itemid=".$alAuth->mainframe->getItemid( $contact_item->value );
                 if (!$_Itemid){
                     $_Itemid = "";
                 }
                 $list['contact'] .= "<option value=\"".$contact_item->href."$_Itemid\">".$contact_item->text."</option>";
        }
        $list['contact'] .= "</select>";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo _insert_link_title ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _insert_link_iso;?>" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Cache-Control" content="no-cache" />
<meta http-equiv="Expires" content="Fri, Oct 24 1976 00:00:00 GMT" />
<script language="javascript" type="text/javascript" src="<?php echo $tiny_url;?>/tiny_mce_popup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $al_url;?>link.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $al_url;?>mctabs.js"></script>
<link type="text/css" rel="stylesheet" href="<?php echo $al_url;?>link.css"></style>
<script language="javascript" type="text/javascript">
tinyMCE.setWindowArg('mce_windowresize', false);
var site_url = "<?php echo $mosConfig_live_site;?>";
</script>
<style type="text/css">
<!--
   input.radio {
        border: 1px none #000000;
        background-color: transparent;
        vertical-align: middle;
   }
-->
/* Tabs classes */

.tabs {
	float: left;
	width: 605px;
	line-height: normal;
	background-image: url("images/tabs_bg.gif");
}

.tabs ul {
	margin: 0;
	padding: 0px 0px 0;
	list-style: none;
}

.tabs li {
	float: left;
	background: url("images/tab_bg.gif") no-repeat left top;
	margin: 0;
	margin-left: 0px;
	margin-right: 2px;
	padding: 0 0 0 10px;
	line-height: 18px;
}

.tabs li.current {
	background: url("images/tab_sel_bg.gif") no-repeat left top;
	margin-right: 2px;
}

.tabs span {
	float: left;
	display: block;
	background: url("images/tab_end.gif") no-repeat right top;
	padding: 0px 10px 0px 0px;
}

.tabs .current span {
	background: url("images/tab_sel_end.gif") no-repeat right top;
}

.tabs a {
	text-decoration: none;
	font-family: Verdana, Arial;
	font-size: 10px;
}

.tabs a:link, .tabs a:visited, .tabs a:hover {
	color: black;
}

.tabs a:hover {
}

.tabs .current {
}

.tabs .current a, .tabs .current a:link, .tabs .current a:visited {
}

.panel_wrapper div.panel {
	display: none;
}

.panel_wrapper div.current {
	display: block;
	width: 590px;
	height: 285px;
	overflow: visible; /* Should be auto but that breaks Safari */
}

.panel_wrapper {
	border: 1px solid #919B9C;
	border-top: 0px;
	padding: 10px;
	padding-top: 5px;
	clear: both;
	background-color: white;
}
</style>
</head>
<body onload="init();">
<form action="link.php" onsubmit="insertLink();return false;" method="post">
<div class="tabs">
    <ul>
    <li id="std_tab" class="current"><span><a href="javascript:mcTabs.displayTab('std_tab','std_panel');" onmousedown="return false;">Link Options</a></span></li>
    <li id="popup_tab"><span><a href="javascript:mcTabs.displayTab('popup_tab','popup_panel');" onmousedown="return false;">Popup Options</a></span></li>
    </ul>
</div>
<div class="panel_wrapper">
    <div id="std_panel" class="panel current">
<fieldset><legend><strong><?php echo _insert_link_content ?></strong></legend>
<table border="0">
  <tr>
    <td class="label" valign="middle" nowrap><?php echo _insert_link_article ?>:</td>
    <td><?php echo $list['article']; ?></td>
    <?php if( $search_auth || $isSuperAdmin ){ ?>
    <td rowspan="5">
         <iframe src="search.php" name="search" id="search" title="Search" frameborder="0" width="285" height="115"></iframe>
    </td>
    <?php }else{ ?>
    <td rowspan="5">
    <?php } ?>
  </tr>
  <tr>
    <td class="label" valign="middle" nowrap><?php echo _insert_link_static ?>:</td>
    <td><?php echo $list['static']; ?></td>
  </tr>
  <tr>
    <td class="label" valign="middle" nowrap><?php echo _insert_link_category ?>:</td>
    <td><?php echo $list['category']; ?></td>
  </tr>
  <tr>
    <td class="label" valign="middle" nowrap><?php echo _insert_link_section ?>:</td>
    <td><?php echo $list['section']; ?></td>
  </tr>
  <tr>
    <td class="label" valign="middle" nowrap><?php echo _insert_link_contact ?>:</td>
    <td><?php echo $list['contact']; ?></td>
  </tr>
 </table>
 </fieldset>
 <fieldset><legend><strong><?php echo _insert_link_email ?></strong></legend>
    <table border="0">
        <tr>
            <td><nobr><?php echo _insert_link_emailadd ?>:</nobr></td>
            <td colpsan="2"><input name="email" type="text" id="email" value="" style="width: 400px;" /></td>
        </tr>
        <tr>
            <td><nobr>Subject:</nobr></td>
            <td colspan="2"><input name="email_subject" type="text" id="email_subject" value="" style="width: 400px;" /></td>
        </tr>
        <tr>
            <td colspan="3"><input type="button" value="Insert E-Mail Address" onclick="checkEmail();" style="cursor:pointer;" /></td>
        </tr>
    </table>
 </fieldset>
  <fieldset><legend><strong>Anchors</strong></legend>
    <table border="0">
        <tr>
            <td><nobr>Available Anchors:</nobr></td>
            <td colspan="2">
            <select name="anchorList" onchange="document.getElementById('href').value = this.value;">
                <option value="" selected>-- Anchors --</option>
            </select>
            </td>
        </tr>
    </table>
 </fieldset>
                    </div>
                    <!--//End Standard Tab-->
                    <!--//Start Popup Tab-->
                    <div id="popup_panel" class="panel">
                    <fieldset>
					<legend>Properties</legend>

					<input type="checkbox" id="ispopup" name="ispopup" class="radio" onclick="setPopupControlsDisabled(!this.checked);buildOnClick();checkPopup();" />
                    <input type="hidden" name="onclick" id="onclick" />
                    <label id="ispopuplabel" for="ispopup"><?php echo _insert_link_popup;?></label>

					<table border="0" cellpadding="0" cellspacing="4">
						<tr>
							<td nowrap="nowrap"><?php echo _insert_link_popup_name;?>&nbsp;</td>
							<td><input type="text" name="popupname" id="popupname" value="" style="width: 200px;" onchange="buildOnClick();" /></td>
						</tr>
						<tr>
							<td nowrap="nowrap"><?php echo _insert_link_popup_size;?>&nbsp;</td>
							<td nowrap="nowrap">
								<input type="text" id="popupwidth" name="popupwidth" value="" onchange="buildOnClick();" style="width: 30px; vertical-align: middle; text-align: center;" /> x
								<input type="text" id="popupheight" name="popupheight" value="" onchange="buildOnClick();" style="width: 30px; vertical-align: middle; text-align: center;" /> px
							</td>
						</tr>
						<tr>
							<td nowrap="nowrap" id="labelleft"><?php echo _insert_link_popup_position;?>&nbsp;</td>
							<td nowrap="nowrap">
								<input type="text" id="popupleft" name="popupleft" value="" onchange="buildOnClick();" style="width: 30px; vertical-align: middle; text-align: center;" /> /
								<input type="text" id="popuptop" name="popuptop" value="" onchange="buildOnClick();" style="width: 30px; vertical-align: middle; text-align: center;" /> (c /c = center)
							</td>
						</tr>
					</table>
					<fieldset>
						<legend>Options</legend>

						<table border="0" cellpadding="0" cellspacing="4">
							<tr>
								<td><input type="checkbox" id="popuplocation" name="popuplocation" class="checkbox" onchange="buildOnClick();" /></td>
								<td nowrap="nowrap"><label id="popuplocationlabel" for="popuplocation"><?php echo _insert_link_popup_location;?></label></td>
								<td><input type="checkbox" id="popupscrollbars" name="popupscrollbars" class="checkbox" onchange="buildOnClick();" checked="checked"/></td>
								<td nowrap="nowrap"><label id="popupscrollbarslabel" for="popupscrollbars"><?php echo _insert_link_popup_scrollbars;?></label></td>
							</tr>
							<tr>
								<td><input type="checkbox" id="popupmenubar" name="popupmenubar" class="checkbox" onchange="buildOnClick();" /></td>
								<td nowrap="nowrap"><label id="popupmenubarlabel" for="popupmenubar"><?php echo _insert_link_popup_menubar;?></label></td>
								<td><input type="checkbox" id="popupresizable" name="popupresizable" class="checkbox" onchange="buildOnClick();" /></td>
								<td nowrap="nowrap"><label id="popupresizablelabel" for="popupresizable"><?php echo _insert_link_popup_resizable;?></label></td>
							</tr>
							<tr>
								<td><input type="checkbox" id="popuptoolbar" name="popuptoolbar" class="checkbox" onchange="buildOnClick();" /></td>
								<td nowrap="nowrap"><label id="popuptoolbarlabel" for="popuptoolbar"><?php echo _insert_link_popup_toolbar;?></label></td>
								<td><input type="checkbox" id="popupstatus" name="popupstatus" class="checkbox" onchange="buildOnClick();" /></td>
								<td nowrap="nowrap"><label id="popupstatuslabel" for="popupstatus"><?php echo _insert_link_popup_statusbar;?></label></td>
							</tr>
                        </table>
					</fieldset>
                    </div>
                    </div>
                    <!--//End Popup Tab-->
                    <fieldset><legend><strong><?php echo _insert_link_info ?></strong></legend>
                    <table border="0">
                    <tr>
                        <td><nobr><?php echo _insert_link_url ?>:</nobr></td>
                        <td colspan="2"><input name="href" type="text" id="href" value="" style="width: 500px;" /></td>
                    </tr>
                    <tr>
                        <td><nobr><?php echo _insert_link_titlefield ?>:</nobr></td>
                        <td colspan="2"><input name="title" type="text" id="linktitle" value="" style="width: 500px;" /></td>
                    </tr>
                    <tr>
                        <td><nobr><?php echo _insert_link_target ?>:</nobr></td>
                        <td>
                            <select name="target" id="target">
                                    <option value="" selected>none&nbsp;(<?php echo _insert_link_target_none ?>)</option>
                                    <option value="_blank">_blank&nbsp;(<?php echo _insert_link_target_blank ?>)</option>
                                    <option value="_self">_self&nbsp;(<?php echo _insert_link_target_same ?>)</option>
                                    <option value="_parent">_parent&nbsp;(<?php echo _insert_link_target_parent ?>)</option>
                                    <option value="_top">_top&nbsp;(<?php echo _insert_link_target_top ?>)</option>
                            </select>
                        </td>
                    </tr>
                    </table>
                    </fieldset>
                    <table border="0">
                    <tr>
                        <td><input type="button" name="insert" value="{$lang_insert}" onclick="insertLink();" id="insert" /></td>
                        <td><input type="button" name="cancel" value="<?php echo _insert_link_cancel ?>" onclick="cancelAction();" id="cancel" /></td>
                        <td><input type="reset" class="button" name="reset" value="<?php echo _insert_link_reset ?>" id="reset" /></td>
                    </tr>
                    </table>
    </form>
</body>
</html>
